Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.util
Class FileSet

    java.lang.Object
      AbstractFileTree
          org.gradle.api.tasks.util.FileSet

    class FileSet
    extends AbstractFileTree

author:
  Hans Dockter

Property Summary
`PatternSet` | `patternSet`
`FileResolver` | `resolver`

Constructor Summary
`FileSet(java.lang.Object dir, FileResolver resolver)`
`FileSet(java.util.Map args, FileResolver resolver)`

Method Summary
`protected void` | `addAsFileSet(java.lang.Object builder, java.lang.String nodeName)`
`protected void` | `addAsResourceCollection(java.lang.Object builder, java.lang.String nodeName)`
`WorkResult` | `copy(groovy.lang.Closure closure)`
`protected def` | `doAddFileSet(java.lang.Object builder, java.io.File dir, java.lang.String nodeName)`
`PatternFilterable` | `exclude(java.lang.String excludes)`
`PatternFilterable` | `exclude(java.lang.Iterable excludes)`
`FileSet` | `from(java.lang.Object dir)`
`protected java.util.Collection` | `getAsFileSets()`
`java.io.File` | `getDir()`
`java.lang.String` | `getDisplayName()`
`java.util.Set` | `getExcludes()`
`java.util.Set` | `getIncludes()`
`PatternFilterable` | `include(java.lang.String includes)`
`PatternFilterable` | `include(java.lang.Iterable includes)`
`FileTree` | `matching(PatternFilterable patterns)`
`FileSet` | `setDir(java.lang.Object dir)`
`PatternFilterable` | `setExcludes(java.lang.Iterable excludes)`
`PatternFilterable` | `setIncludes(java.lang.Iterable includes)`
`FileTree` | `visit(FileVisitor visitor)`

Property Detail

### patternSet

    PatternSet patternSet

### resolver

    FileResolver resolver

Constructor Detail

### FileSet

    public FileSet(java.lang.Object dir, FileResolver resolver)

### FileSet

    public FileSet(java.util.Map args, FileResolver resolver)

Method Detail

### addAsFileSet

    protected void addAsFileSet(java.lang.Object builder, java.lang.String nodeName)

### addAsResourceCollection

    protected void addAsResourceCollection(java.lang.Object builder, java.lang.String nodeName)

### copy

    public WorkResult copy(groovy.lang.Closure closure)

### doAddFileSet

    protected def doAddFileSet(java.lang.Object builder, java.io.File dir, java.lang.String nodeName)

### exclude

    public PatternFilterable exclude(java.lang.String excludes)

### exclude

    public PatternFilterable exclude(java.lang.Iterable excludes)

### from

    public FileSet from(java.lang.Object dir)

### getAsFileSets

    protected java.util.Collection getAsFileSets()

### getDir

    public java.io.File getDir()

### getDisplayName

    public java.lang.String getDisplayName()

### getExcludes

    public java.util.Set getExcludes()

### getIncludes

    public java.util.Set getIncludes()

### include

    public PatternFilterable include(java.lang.String includes)

### include

    public PatternFilterable include(java.lang.Iterable includes)

### matching

    FileTree matching(PatternFilterable patterns)

### setDir

    public FileSet setDir(java.lang.Object dir)

### setExcludes

    public PatternFilterable setExcludes(java.lang.Iterable excludes)

### setIncludes

    public PatternFilterable setIncludes(java.lang.Iterable includes)

### visit

    FileTree visit(FileVisitor visitor)

Groovy Documentation